Crystal Space: csBitArrayTweakable< InlinedBits, Allocator >::BitProxy Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBitArrayTweakable< InlinedBits, Allocator >::BitProxy Class Reference

List of all members.

## Public Member Functions
| BitProxy (csBitArrayTweakable &array, size_t pos)
| Constructor.
bool | Flip ()
| Flip state of this bit.
| operator bool () const
| Boolean accessor.
BitProxy & | operator= (const BitProxy &that)
| Proxy assignment.
BitProxy & | operator= (bool value)
| Boolean assignment.

## Detailed Description

### template<int InlinedBits = csBitArrayDefaultInlineBits, typename Allocator = CS::Memory::AllocatorMalloc>
class csBitArrayTweakable< InlinedBits, Allocator >::BitProxy

Definition at line 209 of file bitarray.h.

## Constructor & Destructor Documentation

template<int InlinedBits = csBitArrayDefaultInlineBits, typename Allocator = CS::Memory::AllocatorMalloc>

csBitArrayTweakable< InlinedBits, Allocator >::BitProxy::BitProxy | ( | csBitArrayTweakable & | array,
|  | size_t | pos |
| ) |  |  | `[inline]`

Constructor.

Definition at line 216 of file bitarray.h.

## Member Function Documentation

template<int InlinedBits = csBitArrayDefaultInlineBits, typename Allocator = CS::Memory::AllocatorMalloc>

bool csBitArrayTweakable< InlinedBits, Allocator >::BitProxy::Flip | ( |  | ) | `[inline]`

Flip state of this bit.

Returns:
  New state of bit.

Definition at line 243 of file bitarray.h.

References csBitArrayTweakable< InlinedBits, Allocator >::FlipBit(), and csBitArrayTweakable< InlinedBits, Allocator >::IsBitSet().

template<int InlinedBits = csBitArrayDefaultInlineBits, typename Allocator = CS::Memory::AllocatorMalloc>

csBitArrayTweakable< InlinedBits, Allocator >::BitProxy::operator bool | ( |  | ) | const`[inline]`

Boolean accessor.

Definition at line 234 of file bitarray.h.

References csBitArrayTweakable< InlinedBits, Allocator >::IsBitSet().

template<int InlinedBits = csBitArrayDefaultInlineBits, typename Allocator = CS::Memory::AllocatorMalloc>

BitProxy& csBitArrayTweakable< InlinedBits, Allocator >::BitProxy::operator= | ( | const BitProxy & | that | ) | `[inline]`

Proxy assignment.

Definition at line 227 of file bitarray.h.

References csBitArrayTweakable< InlinedBits, Allocator >::IsBitSet(), csBitArrayTweakable< InlinedBits, Allocator >::BitProxy::mArray, csBitArrayTweakable< InlinedBits, Allocator >::BitProxy::mPos, and csBitArrayTweakable< InlinedBits, Allocator >::Set().

template<int InlinedBits = csBitArrayDefaultInlineBits, typename Allocator = CS::Memory::AllocatorMalloc>

BitProxy& csBitArrayTweakable< InlinedBits, Allocator >::BitProxy::operator= | ( | bool | value | ) | `[inline]`

Boolean assignment.

Definition at line 220 of file bitarray.h.

References csBitArrayTweakable< InlinedBits, Allocator >::Set().

The documentation for this class was generated from the following file:

- csutil/bitarray.h